#    Lunar Rover Expedition - A fun adventure game.
#    Copyright (C) 2013 Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Importion of modules
import pygame
pygame.init()


class Test_Object( pygame.sprite.Sprite ):
	"""
	A test object for testing the radar.
	This class might be deleted or modified at a later point in time.
	"""

	def __init__( self, center_xy_position ):
		pygame.sprite.Sprite.__init__( self )

		self.image = pygame.Surface( ( 10, 10 ) )
		self.rect = self.image.get_rect( center = center_xy_position )


	def update( self, xy_velocity ):
		self.rect.move_ip( xy_velocity[0], xy_velocity[1] )
